Шрифты в солид воркс как установить
Перейти к содержимому

Шрифты в солид воркс как установить

  • автор:

как добавить шрифты в sw2014

RadN

Вы можете опубликовать сообщение сейчас, а зарегистрироваться позже. Если у вас есть аккаунт, войдите в него для написания от своего имени.
Примечание: вашему сообщению потребуется утверждение модератора, прежде чем оно станет доступным.

Сейчас на странице 0 пользователей

Нет пользователей, просматривающих эту страницу.

Сообщения

VOleg

Автор: VOleg · Опубликовано: 21 минута назад

Переписать Автора, Обозначение, Наименование получилось, но с текущей конфигурации. Надо бы перейти в конфигурацию 00. Дополнительно с вкладки Настройки надо списать имя папки, добавив диск «D» и сформировать имя файла =D:\Имя папки\Обозначение Наименование, проверить сохранен ли файл модели и если не сохранен, то сохранить. Далее проверить есть ли в папке чертеж, если есть, то открыть, если нет, то создать, заполнить вкладку Сумм. информ. чертежа, сохранить чертеж и закончить работу макроса — дальше я буду работать с чертежом. Вроде так? ‘Option Explicit Option Base 0 Dim swApp As Object Sub sumprop() Dim swApp As SldWorks.SldWorks Dim swModel As SldWorks.ModelDoc2 Dim swConfigMgr As SldWorks.ConfigurationManager Dim swConfig As SldWorks.Configuration Dim swCustPropMgr As SldWorks.CustomPropertyManager Dim cpm As CustomPropertyManager Dim mde As ModelDocExtension Dim vPropNames As Variant Dim vConfName As Variant Dim vConfParam As Variant Dim vConfValue As Variant Dim i As Long Dim j As Long Dim n As Integer Dim nprops As Integer Dim valOut As String Dim resolvedValOut As String Dim custPropType As Long Dim dcn As Variant Dim naim As Variant dcn = Null naim = Null Set swApp = Application.SldWorks Set swModel = swApp.ActiveDoc ‘ Начальные проверки If swModel Is Nothing Then MsgBox «Откройте документ», , «Ничего не открыто» Exit Sub End If Set swConfigMgr = swModel.ConfigurationManager Set swConfig = swConfigMgr.ActiveConfiguration Set swCustPropMgr = swConfig.CustomPropertyManager Set mde = swModel.Extension() Set cpm = mde.CustomPropertyManager(«») nprops = swCustPropMgr.Count vPropNames = swCustPropMgr.GetNames For j = 0 To nprops — 1 swCustPropMgr.Get2 vPropNames(j), valOut, resolvedValOut If vPropNames(j) = «Обозначение» Then dcn = resolvedValOut If vPropNames(j) = «Наименование» Then naim = resolvedValOut Next j If IsNull(dcn) Then MsgBox «Свойство » + VBA.Chr(34) + «Обозначение» + VBA.Chr(34) + » не найдено в текущей конфигурации» Else swModel.SummaryInfo(swSumInfoSubject) = dcn End If If IsNull(naim) Then MsgBox «Свойство » + VBA.Chr(34) + «Наименование» + VBA.Chr(34) + » не найдено в текущей конфигурации» Else swModel.SummaryInfo(swSumInfoTitle) = naim End If swModel.SummaryInfo(swSumInfoAuthor) = cpm.Get(«Разраб.») End Sub Забыл про виртуальную деталь со свойствами спецификации

Автор: karlf · Опубликовано: 51 минута назад

Здравствуйте. Подскажите пожалуйста, из-за чего могут не применяться параметры кинематики? Станок DMU-70V на стойке TNC 426. Меняю в параметрах 7530.1. Пробовал также создавать кинематическую таблицу и указывать к ней путь в файле OEM.SYS, но тоже ничего не происходит после перезагрузки.

VOleg

Автор: VOleg · Опубликовано: 1 час назад

Пункты 1 и 2 думаю изложить по -другому: 1 Я создаю новую модель. Заполняю на вкладке Конфигурация Обозначение и Наименование. На вкладке Настройка из списка (через Таб-билдер) выбираю себя и папку, в которую будет все это складываться. 2 Закончив и сохранив модель я жму кнопку макроса «Создать чертеж». При этом все эти свойства переписываются в Суммарную информацию модели и чертежа. Дополнительно в модели создается виртуальная деталь «СП», в которую записываются все свойства спецификации: Обозначение, Наименование, Автор, Перв. применение спецификации, № изменения, № извещения, имя папки. Пункт 3 надо то же подправить: 3 Для сборочного чертежа я жму кнопку макроса «Создать спецификацию». При этом за полем чертежа вставляется спецификация, сразу формируется имя файла и подставляется имя папки, спецификация сохраняется с расширением XLS. Можно здесь же сохранить и сам чертеж, и PDF, благо имена одинаковые и уже сформированы. Соответственно в свойства файла PDF записываем Обозначение Наименование Автор. 4 Ну а для чертежа детали кнопка макроса «Сохранить» — аналогично п.3 но без спецификации.

Автор: neon4ik1 · Опубликовано: 1 час назад

Добрый день , есть станок Ermaksan Speed band pro , под управление Kvara S640 , перестал включаться ошибка DLL loader init error 1117 , пост код 4 . Может кто сталкивался .

Шрифты, не отображаемые при установке новых шрифтов

При добавлении новых шрифтов с помощью кнопки «установить шрифт» на панели управления в инструменте «шрифты» нельзя отобразить шрифты.

Причина

Это происходит из-за того, что параметр «шрифты» не включен по умолчанию.

Решение

Чтобы устранить эту проблему, выполните указанные ниже действия.

  1. Нажмите кнопку Пуск, выберите пункт Настройки, а затем — Панель управления.
  2. Дважды щелкните элемент шрифты.
  3. В меню файл выберите пункт шрифты , чтобы установить флажок.
  4. В меню файл выберите команду установить новый шрифт.
  5. Чтобы убедиться в том, что шрифты отображаются, просмотрите папку, содержащую файлы шрифтов (например, папку Windows\Fonts).

Дополнительная информация

Обратите внимание на то, что такое поведение может возникнуть при первой установке новых шрифтов.

Установка шрифтов

vano_telm

Вы можете опубликовать сообщение сейчас, а зарегистрироваться позже. Если у вас есть аккаунт, войдите в него для написания от своего имени.
Примечание: вашему сообщению потребуется утверждение модератора, прежде чем оно станет доступным.

Сейчас на странице 0 пользователей

Нет пользователей, просматривающих эту страницу.

Сообщения

VOleg

Автор: VOleg · Опубликовано: 21 минута назад

Переписать Автора, Обозначение, Наименование получилось, но с текущей конфигурации. Надо бы перейти в конфигурацию 00. Дополнительно с вкладки Настройки надо списать имя папки, добавив диск «D» и сформировать имя файла =D:\Имя папки\Обозначение Наименование, проверить сохранен ли файл модели и если не сохранен, то сохранить. Далее проверить есть ли в папке чертеж, если есть, то открыть, если нет, то создать, заполнить вкладку Сумм. информ. чертежа, сохранить чертеж и закончить работу макроса — дальше я буду работать с чертежом. Вроде так? ‘Option Explicit Option Base 0 Dim swApp As Object Sub sumprop() Dim swApp As SldWorks.SldWorks Dim swModel As SldWorks.ModelDoc2 Dim swConfigMgr As SldWorks.ConfigurationManager Dim swConfig As SldWorks.Configuration Dim swCustPropMgr As SldWorks.CustomPropertyManager Dim cpm As CustomPropertyManager Dim mde As ModelDocExtension Dim vPropNames As Variant Dim vConfName As Variant Dim vConfParam As Variant Dim vConfValue As Variant Dim i As Long Dim j As Long Dim n As Integer Dim nprops As Integer Dim valOut As String Dim resolvedValOut As String Dim custPropType As Long Dim dcn As Variant Dim naim As Variant dcn = Null naim = Null Set swApp = Application.SldWorks Set swModel = swApp.ActiveDoc ‘ Начальные проверки If swModel Is Nothing Then MsgBox «Откройте документ», , «Ничего не открыто» Exit Sub End If Set swConfigMgr = swModel.ConfigurationManager Set swConfig = swConfigMgr.ActiveConfiguration Set swCustPropMgr = swConfig.CustomPropertyManager Set mde = swModel.Extension() Set cpm = mde.CustomPropertyManager(«») nprops = swCustPropMgr.Count vPropNames = swCustPropMgr.GetNames For j = 0 To nprops — 1 swCustPropMgr.Get2 vPropNames(j), valOut, resolvedValOut If vPropNames(j) = «Обозначение» Then dcn = resolvedValOut If vPropNames(j) = «Наименование» Then naim = resolvedValOut Next j If IsNull(dcn) Then MsgBox «Свойство » + VBA.Chr(34) + «Обозначение» + VBA.Chr(34) + » не найдено в текущей конфигурации» Else swModel.SummaryInfo(swSumInfoSubject) = dcn End If If IsNull(naim) Then MsgBox «Свойство » + VBA.Chr(34) + «Наименование» + VBA.Chr(34) + » не найдено в текущей конфигурации» Else swModel.SummaryInfo(swSumInfoTitle) = naim End If swModel.SummaryInfo(swSumInfoAuthor) = cpm.Get(«Разраб.») End Sub Забыл про виртуальную деталь со свойствами спецификации

Автор: karlf · Опубликовано: 51 минута назад

Здравствуйте. Подскажите пожалуйста, из-за чего могут не применяться параметры кинематики? Станок DMU-70V на стойке TNC 426. Меняю в параметрах 7530.1. Пробовал также создавать кинематическую таблицу и указывать к ней путь в файле OEM.SYS, но тоже ничего не происходит после перезагрузки.

VOleg

Автор: VOleg · Опубликовано: 1 час назад

Пункты 1 и 2 думаю изложить по -другому: 1 Я создаю новую модель. Заполняю на вкладке Конфигурация Обозначение и Наименование. На вкладке Настройка из списка (через Таб-билдер) выбираю себя и папку, в которую будет все это складываться. 2 Закончив и сохранив модель я жму кнопку макроса «Создать чертеж». При этом все эти свойства переписываются в Суммарную информацию модели и чертежа. Дополнительно в модели создается виртуальная деталь «СП», в которую записываются все свойства спецификации: Обозначение, Наименование, Автор, Перв. применение спецификации, № изменения, № извещения, имя папки. Пункт 3 надо то же подправить: 3 Для сборочного чертежа я жму кнопку макроса «Создать спецификацию». При этом за полем чертежа вставляется спецификация, сразу формируется имя файла и подставляется имя папки, спецификация сохраняется с расширением XLS. Можно здесь же сохранить и сам чертеж, и PDF, благо имена одинаковые и уже сформированы. Соответственно в свойства файла PDF записываем Обозначение Наименование Автор. 4 Ну а для чертежа детали кнопка макроса «Сохранить» — аналогично п.3 но без спецификации.

Автор: neon4ik1 · Опубликовано: 1 час назад

Добрый день , есть станок Ermaksan Speed band pro , под управление Kvara S640 , перестал включаться ошибка DLL loader init error 1117 , пост код 4 . Может кто сталкивался .

Настройки чертежа SolidWorks по ГОСТ ЕСКД №1

Сегодня мы настроим свойства документа чертежа в SolidWorks по требованиям ГОСТ ЕСКД. Для этого запускаем SolidWorks и нажимаем создать новый документ. Если вы посмотрели урок «первый запуск SolidWorks», то вопроса по созданию документа у вас не возникнет.

И так, в окне выбора типа документа нажимаем на кнопку «Дополнительно» и на вкладке «Шаблоны» выбираем шаблон чертежа «gostpart drw» и нажимаем ОК.

Настройки чертежа SolidWorks по ГОСТ ЕСКД №1

Загружается режим создания чертежей в SolidWorks.

Перед нами появляется вкладка «Формат листа/Размер», на ней нажимаем на кнопку «Отмена».

Настройки чертежа SolidWorks по ГОСТ ЕСКД №1

Далее на вкладке «Вид модели», которая располагается в левой части экрана нажимаем на красный крестик и закрываем ее.

Настройки чертежа SolidWorks по ГОСТ ЕСКД №1

Теперь можно переходить к настройкам свойств документа чертежа в SolidWorks по ГОСТ ЕСКД. Для этого нажимаем на значок шестеренки, переходим в настройки SolidWorks и нажимаем на вкладку «Свойства документа»

Настройки чертежа SolidWorks по ГОСТ ЕСКД №1

Сейчас перед нами открыта вкладка «Чертежный стандарт», и в окне общий чертежный стандарт по умолчанию стоит шаблон «ГОСТ-ИЗМЕНЕН». К концу этого урока мы создадим свой “ГОСТовский” шаблон для чертежей в SolidWorks и сохраним его в отдельный файл для дальнейшего использования.

Настройка раздела «Примечания»

Начнем настройку. Переходим во вкладку «Примечания». Здесь нам нужно выбрать шрифт, который будет использоваться во всех примечаниях чертежа.

Использование шрифтов в чертежах регламентирует ГОСТ 2.304-81. В нем описано, что в чертежах используются шрифты типа А и шрифты типа Б с наклоном и без наклона. Параметры этих шрифтов представлены на картинках ниже.

Настройки чертежа SolidWorks по ГОСТ ЕСКД №1 Настройки чертежа SolidWorks по ГОСТ ЕСКД №1

Но у этих шрифтов есть минус. Они не установлены в Windows, поэтому я рекомендую в место них использовать шрифт «Calibri», который есть в каждом компьютере и не требует установки и у вас никогда не возникнет проблемы с просмотром и редактированием ваших чертежей на других ПК.

Шрифт «Calibri» практически не отличается от шрифтов по ГОСТ.

В общем в разделе настройки «Примечания» в окне текст кликаем на кнопку «Шрифт» и выбираем шрифт «Calibri». Высоту шрифта ставим 4мм, начертание обычное и нажимаем ОК.

Настройки чертежа SolidWorks по ГОСТ ЕСКД №1

Все просто, это связанно печатью, обычно все принтеры печатаю чертежи чуть в уменьшенном формате, в итоге на напечатанном чертеже шрифт будет примерно 3,5мм. Как раз то что нам нужно.

Переходим к настройкам линий-выносок. Они регламентируются по ГОСТ 2.316-2008 в пункте 4.7. Ставим выноски как на картинке ниже в окне настроек «Присоединения».

Настройки чертежа SolidWorks по ГОСТ ЕСКД №1

На этом с общей настройкой раздела «Примечания» все. Нажимаем на «плюсик» и разворачиваем данный раздел. Переходим к настройке вкладки «Позиции».

В этом разделе сразу же нажимаем на кнопку «Шрифт» в окне текст и выбираем «Calibri» начертание обычное, высотой 6мм и нажимаем ОК

Настройки чертежа SolidWorks по ГОСТ ЕСКД №1

По ГОСТ 2.109 пункт 3.2.5, высота шрифта номеров позиций, на 1-2 порядка больше чем высота шрифта для размерных чисел, у нас размерные числа высотой 4мм, поэтому мы поставили 6мм, но при печати будет 5,5-6мм. Что не противоречит ГОСТу.

Далее для режима позиции выставляем отображение выноски, в обоих настройках данного окна активируем настройку «Прямая»

Настройки чертежа SolidWorks по ГОСТ ЕСКД №1

Затем настроим окошко «Одна позиция». В окне стиль выбираем «Подчеркнутый», а в окне размер: «2 символа».

Настройки чертежа SolidWorks по ГОСТ ЕСКД №1

В итоге в конце у нас должно все получиться как на этой картинке:

Настройки чертежа SolidWorks по ГОСТ ЕСКД №1

Далее переходим на вкладку «Базы»

В данном окне ничего настраивать не придётся, но вы на всякий случай сравните свои настройки с приведенными на картинке ниже.

Настройки чертежа SolidWorks по ГОСТ ЕСКД №1

Единственная проблема с треугольником, обозначающим базу, он не настраиваться и по факту ставится в 1,5 – 2 раза меньше чем требует ГОСТ.

Также, если интересно можно почитать ГОСТ 2.308-2011, который регламентирует обозначения баз на чертеже.

Дальше нажимаем на вкладку «Геометрический допуск». В этом окне мы настроим допуски формы и расположения. В принципе, шрифт мы уже поменяли, а все остальное по умолчанию подходит под требования ГОСТа.

Для проверки сверяемся с картинкой ниже и смотрим ГОСТ 2.308-2011.

Настройки чертежа SolidWorks по ГОСТ ЕСКД №1

Далее по списку идет раздел «Метка расположения», он под требования ГОСТа не настраивается, его просто пропускаем и переходим к разделу «Заметки».

В этом раздели нужно изменить «Отображение выноски» и выбрать «Подчеркнутый». Остальные настройки у меня не требовали изменений. Но на всякий случай сравните их с картинкой ниже.

Настройки чертежа SolidWorks по ГОСТ ЕСКД №1

Окно облака редакции пропускаем и кликаем сразу на вкладку «Шероховатость поверхности».

В этом окне нажимаем на кнопку «Шрифт» и устанавливаем высоту шрифта 2.5мм, начертание обычное и нажимаем ОК.

Настройки чертежа SolidWorks по ГОСТ ЕСКД №1

Это настройку мы произвели для того чтобы значок шероховатости был равен высоте размерного шрифта. Данное требование прописано в ГОСТ 2.309 в пункте 1.3.

Остальные параметры отображения шероховатости должны совпадать с картинкой ниже.

Настройки чертежа SolidWorks по ГОСТ ЕСКД №1

Далее переходим к разделу «Обозначение сварного шва». Здесь просто сравниваем настройки с картинкой ниже. Они должны совпадать и стоять у вас по умолчанию, если нет, то правим.

Настройки чертежа SolidWorks по ГОСТ ЕСКД №1

На этом с настройку раздела примечания мы закончили. На этом закончим и данный урок, так как он итак уже очень объемный. Продолжение здесь!

До встречи в следующем уроке!

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *